<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@438F=09</action>
    </script>
  </cheat>

  <cheat desc="Never have shields">
    <script state="run">
      <action>maincpu.pb@43A6=DD</action>
    </script>
  </cheat>

  <cheat desc="Shield Always Ready">
    <script state="run">
      <action condition="(frame % 120 == 0)">maincpu.pb@43A6=00</action>
    </script>
  </cheat>

  <cheat desc="Invincibility">
    <script state="on">
      <action>temp0 =maincpu.mb@0CC4</action>
    </script>
    <script state="run">
      <action>maincpu.mb@0CC4=C9</action>
    </script>
    <script state="off">
      <action>maincpu.mb@0CC4=temp0 </action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="P1 Infinite Lives">
    <script state="run">
      <action>maincpu.pb@4390=09</action>
    </script>
  </cheat>

  <cheat desc="P1 Rapid Fire">
    <script state="run">
      <action condition="maincpu.pb@43A3==00">maincpu.pb@43A0=10|(maincpu.pb@43A0 BAND ~10)</action>
    </script>
  </cheat>

  <cheat desc="P2 Infinite Lives">
    <script state="run">
      <action>maincpu.pb@4391=09</action>
    </script>
  </cheat>

  <cheat desc="P2 Rapid Fire">
    <script state="run">
      <action condition="maincpu.pb@43A3==01">maincpu.pb@43A0=10|(maincpu.pb@43A0 BAND ~10)</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
